<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qbs-target-windows.qdoc -->
  <title>Building for Windows | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >Building for Windows</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#windows-resources">Windows Resources</a></li>
<li class="level1"><a href="#universal-windows-platform">Universal Windows Platform</a></li>
<li class="level1"><a href="#building-windows-installers">Building Windows Installers</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Building for Windows</h1>
<span class="subtitle"></span>
<!-- $$$qbs-target-windows.html-description -->
<div class="descr"> <a name="details"></a>
<p>This topic describes the Qbs features specific to Windows.</p>
<p><b>Note: </b>Qbs does not currently support building applications using .NET technologies and languages such as C#, F#, and Visual Basic. At this time we recommend that you use MSBuild and the tools shipped with the various implementations of the .NET platform.</p><a name="windows-resources"></a>
<h2 id="windows-resources">Windows Resources</h2>
<p>The <a href="qml-qbsmodules-ico.html">ico</a> module contains rules and properties for building Windows icon (.ico) and cursor (.cur) files from a set of raw PNGs.</p>
<a name="universal-windows-platform"></a>
<h2 id="universal-windows-platform">Universal Windows Platform</h2>
<p>Building applications for the Universal Windows Platform is currently only partially supported. Notably, support for building APPX packages is missing, but will be added in a future release.</p>
<p>Relevant properties include:</p>
<ul>
<li><a href="qml-qbsmodules-cpp.html#windowsApiFamily-prop">cpp.windowsApiFamily</a></li>
<li><a href="qml-qbsmodules-cpp.html#windowsApiAdditionalPartitions-prop">cpp.windowsApiAdditionalPartitions</a></li>
<li><a href="qml-qbsmodules-cpp.html#requireAppContainer-prop">cpp.requireAppContainer</a></li>
</ul>
<p>See the <a href="qml-qbsmodules-cpp.html">cpp</a> module for more information.</p>
<p><b>Note: </b>Qbs does not (and will not) support building Windows Runtime applications targeting Windows 8 or Windows 8.1&#x2e; We encourage users to instead build desktop applications for older versions of Windows, or migrate to Windows 10 and the Universal Windows Platform.</p><a name="building-windows-installers"></a>
<h2 id="building-windows-installers">Building Windows Installers</h2>
<p>The following modules contain properties and rules for building Windows installers using a number of different technologies:</p>
<ul>
<li><a href="qml-qbsmodules-innosetup.html">innosetup</a> - Inno Setup</li>
<li><a href="qml-qbsmodules-nsis.html">nsis</a> - Nullsoft Scriptable Install System</li>
<li><a href="qml-qbsmodules-wix.html">wix</a> - Windows Installer XML Toolset</li>
</ul>
</div>
<!-- @@@qbs-target-windows.html -->
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
